## com.arsdigita.cms.docmgr.ui
Class DocmgrBasePage

    java.lang.Object
      com.arsdigita.bebop.Completable
          com.arsdigita.bebop.SimpleComponent
              com.arsdigita.bebop.TextStylable
                  com.arsdigita.bebop.BlockStylable
                      com.arsdigita.bebop.Page
                          com.arsdigita.cms.docmgr.ui.DocmgrBasePage

All Implemented Interfaces:
  Cloneable, com.arsdigita.bebop.Component, com.arsdigita.bebop.Container, DMConstants, com.arsdigita.util.Lockable

public class DocmgrBasePage
extends com.arsdigita.bebop.Page
implements DMConstants

BasePage class

Author:
  Jim Parsons

Nested Class Summary
`protected class` `DocmgrBasePage.CurrentApplicationLabelPrinter`
`protected class` `DocmgrBasePage.CurrentApplicationLinkPrinter`
`protected class` `DocmgrBasePage.ParentApplicationLinkPrinter`

Field Summary
`static String` `DOC_BODY_ELEMENT`
`static String` `DOC_FOOTER_ELEMENT`
`static String` `DOC_GLOBAL_ELEMENT`
`static String` `DOC_HEADER_ELEMENT`
`static String` `DOC_XML_NS`

Fields inherited from class com.arsdigita.bebop.Page
`m_invisible, m_panel, versionId`

Fields inherited from class com.arsdigita.bebop.BlockStylable
`ABSBOTTOM, ABSMIDDLE, BASELINE, BOTTOM, CENTER, FULL_WIDTH, INSERT, LEFT, MIDDLE, RIGHT, TEXTTOP, TOP`

Fields inherited from class com.arsdigita.bebop.SimpleComponent
`m_attr`

Fields inherited from interface com.arsdigita.cms.docmgr.ui.DMConstants

`ABS_PATH, ACTION_COPY_LABEL, ACTION_COPY_SUBMIT, ACTION_COPY_VALUE, ACTION_CUT_LABEL, ACTION_CUT_VALUE, ACTION_DELETE_CONFIRM, ACTION_DELETE_LABEL, ACTION_DELETE_SUBMIT, ACTION_DELETE_VALUE, ACTION_ERROR_CONTINUE, ACTION_ERROR_LABEL, ACTION_MOVE_SUBMIT, BUNDLE_NAME, CANCEL, CAT_TREE_ID_PARAM_NAME, CAT_TREE_INIT_ID_PARAM_NAME, DESTINATION_FOLDER_PANEL_HEADER, DIFFERENT_MIMETYPE_ERROR, DOC_COL_ID_PARAM_NAME, DOCS_XML_NS, EMAIL_INVALID_ERROR, END_DATE_PARAM_NAME, FILE_ACTION_HEADER, FILE_CATEGORIES, FILE_DELETE_CONFIRM, FILE_DELETE_HEADER, FILE_DELETE_LINK, FILE_DESCRIPTION, FILE_DOWNLOAD_HEADER, FILE_DOWNLOAD_LINK, FILE_EDIT_ACTION_DESCRIPTION, FILE_EDIT_HEADER, FILE_EDIT_LINK, FILE_FEEDBACK_HEADER, FILE_ID_PARAM_NAME, FILE_INFO_COMMENTS_TITLE, FILE_INFO_HISTORY_TITLE, FILE_INFO_LABEL, FILE_INFO_LINKS_TITLE, FILE_INFO_PROPERTIES_TITLE, FILE_INTENDED_AUDIENCE, FILE_INTENDED_AUDIENCE_INTERNAL, FILE_INTENDED_AUDIENCE_PUBLIC, FILE_INTENDED_AUDIENCE_WORKSPACE, FILE_KEYWORDS, FILE_NAME, FILE_NAME_REQUIRED, FILE_NEW_VERSION_LINK, FILE_PROPERTIES_HEADER, FILE_REVISION_HISTORY_HEADER, FILE_SAVE, FILE_SEND_COLLEAGUE_FORM_EMAIL, FILE_SEND_COLLEAGUE_HEADER, FILE_SEND_COLLEAGUE_LINK, FILE_SEND_COLLEAGUE_MESSAGE, FILE_SEND_COLLEAGUE_RETURN_ADDRESS, FILE_SEND_COLLEAGUE_SUBJECT, FILE_SEND_COLLEAGUE_SUBMIT, FILE_SEND_COLLEAGUE_THANKS, FILE_SEND_COLLEAGUE_THANKS_RETURN_LINK, FILE_SOURCE, FILE_SUBMIT, FILE_UPLOAD_ADD_FILE, FILE_UPLOAD_FORM_HEADER, FILE_UPLOAD_HEADER, FILE_UPLOAD_INITIAL_TRANSACTION_DESCRIPTION, FILE_VERSION_DESCRIPTION, FILES, FOLDER_ADD_DOC_PARAM_NAME, FOLDER_CREATE_FORM_HEADER, FOLDER_DESCRIPTION, FOLDER_DESCRIPTION_LABEL, FOLDER_EMPTY_LABEL, FOLDER_ID, FOLDER_INFORMATION_HEADER, FOLDER_NAME, FOLDER_NAME_LABEL, FOLDER_NEW_CREATE_LINK, FOLDER_NEW_DOCLINK_LINK, FOLDER_NEW_FILE_LINK, FOLDER_NEW_FOLDER_LINK, FOLDER_PARENTNOTFOUND_ERROR, FOLDER_SAVE, FOLDERS, GET_ALL_TREES, GET_CHILDREN, GET_REPOSITORIES, GET_REPOSITORIES_ROOTS, GO_BACK_LABEL, HELP_LABEL, IS_FOLDER, IS_LOCKED, IS_MOUNTED, LAST_MODIFIED, MIME_TYPE_LABEL, MODIFYING_USER, MY_WORKSPACE_LABEL, NAME, NUM_FILES, OPEN_FOLDER_ID_PARAM, OPEN_FOLDER_ID_PARAM_NAME, PAGE_TITLE_LABEL, PARAM_ROOT_ADD_DOC_LINK, REPOSITORIES_INFORMATION_HEADER, REPOSITORIES_MOUNTED_SAVE, REPOSITORY_ID, REPOSITORY_RECENTDOCS_EMPTY, RESOURCE_EXISTS_ERROR, RESOURCE_ID, ROOT_ADD_DOC_PARAM, ROOT_ADD_DOC_PARAM_NAME, ROOT_ADD_DOCLINK_LINK, ROOT_ADD_RESOURCE_LINK, ROOTFOLDER_ID_PARAM, ROOTFOLDER_ID_PARAM_NAME, SEL_FOLDER_ID_PARAM, SEL_FOLDER_ID_PARAM_NAME, SEND_FRIEND_FORM_DESCRIPTION, SEND_FRIEND_FORM_EMAIL_LIST, SEND_FRIEND_FORM_EMAIL_SUBJECT, SEND_FRIEND_FORM_SUBMIT, SIGN_OUT_LABEL, SIZE, START_DATE_PARAM_NAME, TARGET_REQUIRED, TITLE_REQUIRED, TYPE, WS_BROWSE_TITLE, WS_REPOSITORIES_TITLE, WS_SEARCH_TITLE`

Fields inherited from interface com.arsdigita.bebop.Component
`BEBOP_XML_NS, CLASS, ID, ON_CLICK, STYLE`

Constructor Summary
`DocmgrBasePage()`
`DocmgrBasePage(com.arsdigita.bebop.parameters.BigDecimalParameter fileIDParam)`
`DocmgrBasePage(String view, com.arsdigita.bebop.parameters.BigDecimalParameter fileIDParam)`

Method Summary
`void` `add(com.arsdigita.bebop.Component pc)` Adds a component to the body.
`protected void` `buildBody(com.arsdigita.bebop.Container body)`
`protected void` `buildContextBar()`
`protected void` `buildFooter(com.arsdigita.bebop.Container footer)`
`protected void` `buildGlobal(com.arsdigita.bebop.Container global)`
`protected void` `buildHeader(com.arsdigita.bebop.Container header)`
`protected void` `buildPage()`
`protected void` `buildTitle()`
`com.arsdigita.bebop.Container` `getBody()`
`com.arsdigita.bebop.parameters.BigDecimalParameter` `getFileIDParam()`
`com.arsdigita.bebop.Container` `getFooter()`
`com.arsdigita.bebop.Container` `getGlobal()`
`com.arsdigita.bebop.Container` `getHeader()`
`void` `goModal(com.arsdigita.bebop.PageState ps, com.arsdigita.bebop.Component c)` Makes the given component the only visible component between the header and footer of this page.
`void` `goUnmodal(com.arsdigita.bebop.PageState ps)` Clears the currently selected modal component if it has been set.
`void` `lock()`

Methods inherited from class com.arsdigita.bebop.Page

`add, addActionListener, addClientStylesheet, addComponent, addComponentStateParam, addGlobalStateParam, addRequestListener, buildDocument, children, contains, fireActionEvent, fireRequestEvent, generateXML, generateXML, generateXMLHelper, get, getComponent, getComponentParameters, getErrorDisplay, getPanel, getParameters, getStateModel, getTitle, getTitle, indexOf, isEmpty, isUsingHttpSession, isVisibleDefault, parameterName, parameterName, prepare, process, process, removeActionListener, removeRequestListener, respond, setErrorDisplay, setPanel, setStyleSheet, setTitle, setTitle, setUsingHttpSession, setVisibleDefault, size, stateContains, stateIndex, stateSize`

Methods inherited from class com.arsdigita.bebop.BlockStylable
`setBorder, setBorder, setBorderColor, setHorizontalAlignment, setMargin, setMargin, setPadding, setPadding, setVerticalAlignment`

Methods inherited from class com.arsdigita.bebop.TextStylable
`setBackgroundColor, setColor`

Methods inherited from class com.arsdigita.bebop.SimpleComponent
`clone, exportAttributes, getAttribute, getClassAttr, getIdAttr, getKey, getMetaDataAttribute, getStyleAttr, hasAttributes, isLocked, isVisible, register, register, setAttribute, setClassAttr, setIdAttr, setKey, setMetaDataAttribute, setStyleAttr, setVisible`

Methods inherited from class com.arsdigita.bebop.Completable
`addCompletionListener, fireCompletionEvent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.arsdigita.bebop.Component
`getClassAttr, getIdAttr, getKey, getStyleAttr, isVisible, register, register, setClassAttr, setIdAttr, setKey, setStyleAttr, setVisible`

Methods inherited from interface com.arsdigita.util.Lockable
`isLocked`

Field Detail

### DOC_GLOBAL_ELEMENT

    public static final String DOC_GLOBAL_ELEMENT

See Also:
  Constant Field Values

### DOC_HEADER_ELEMENT

    public static final String DOC_HEADER_ELEMENT

See Also:
  Constant Field Values

### DOC_BODY_ELEMENT

    public static final String DOC_BODY_ELEMENT

See Also:
  Constant Field Values

### DOC_FOOTER_ELEMENT

    public static final String DOC_FOOTER_ELEMENT

See Also:
  Constant Field Values

### DOC_XML_NS

    public static final String DOC_XML_NS

See Also:
  Constant Field Values

Constructor Detail

### DocmgrBasePage

    public DocmgrBasePage()

### DocmgrBasePage

    public DocmgrBasePage(com.arsdigita.bebop.parameters.BigDecimalParameter fileIDParam)

### DocmgrBasePage

    public DocmgrBasePage(String view,
                          com.arsdigita.bebop.parameters.BigDecimalParameter fileIDParam)

Parameters:
  `view` - A String that specifies which application view to show. Valid values: "user", "admin" and "null". If view is "null", there will be no right-hand navigation link. Note - We've decided not to have the right-hand navigation link at all. Instead, you should create tabs. So, once the applications are migrated, view will always be null and we can remove view altogether.

Method Detail

### getFileIDParam

    public com.arsdigita.bebop.parameters.BigDecimalParameter getFileIDParam()

### lock

    public void lock()

  Specified by:
    `lock` in interface `com.arsdigita.util.Lockable`

### buildPage

    protected final void buildPage()

### buildTitle

    protected void buildTitle()

### buildContextBar

    protected void buildContextBar()

### buildGlobal

    protected void buildGlobal(com.arsdigita.bebop.Container global)

### buildHeader

    protected void buildHeader(com.arsdigita.bebop.Container header)

### buildBody

    protected void buildBody(com.arsdigita.bebop.Container body)

### buildFooter

    protected void buildFooter(com.arsdigita.bebop.Container footer)

### goModal

    public void goModal(com.arsdigita.bebop.PageState ps,
                        com.arsdigita.bebop.Component c)

  Makes the given component the only visible component between the header and footer of this page.

### goUnmodal

    public void goUnmodal(com.arsdigita.bebop.PageState ps)

  Clears the currently selected modal component if it has been set.

### add

    public void add(com.arsdigita.bebop.Component pc)

  Adds a component to the body.

  Specified by:
    `add` in interface `com.arsdigita.bebop.Container`
  Parameters:
    `pc` - the component to be added

### getGlobal

    public com.arsdigita.bebop.Container getGlobal()

### getHeader

    public com.arsdigita.bebop.Container getHeader()

### getBody

    public com.arsdigita.bebop.Container getBody()

### getFooter

    public com.arsdigita.bebop.Container getFooter()

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC